Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232250 - cpuspeed on HP DL360-G5 with Xeon 5110, drivers not loading.
Summary: cpuspeed on HP DL360-G5 with Xeon 5110, drivers not loading.
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2007-03-14 15:45 UTC by J. David Rye
Modified: 2008-02-08 04:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 04:25:23 UTC


Attachments (Terms of Use)

Description J. David Rye 2007-03-14 15:45:57 UTC
Description of problem:
I have a HP DL360-G5 server with a Xeon 5110 CPU.
Would like to use cpuspeed, snag I am not getting any drivers loaded.

Note machine is installed with the x86_64 kernel so I do not think it relates in
any way to the i586, i686 issue that has made it in to the Frequent problems
catagory.

Mail symptom seems to be that the following file does not exists.

ls /sys/devices/system/cpu/cpu*/cpufreq/scaling_driver
ls: /sys/devices/system/cpu/cpu*/cpufreq/scaling_driver: No such file or directory

my under standing from serching with Google is that the Xeon 5110
should use the speedstep-centrino module



Version-Release number of selected component (if applicable):

Have tried with the following kernels
kernel-2.6.18-1.2798.fc6.x86_64.rpm
kernel-2.6.19-1.2895.fc6.x86_64.rpm
kernel-2.6.19-1.2911.6.4.fc6.x86_64.rpm
kernel-2.6.19-1.2911.6.5.fc6.x86_64.rpm
kernel-2.6.19-1.2911.fc6.x86_64.rpm
kernel-2.6.20-1.2925.fc6.x86_64.rpm

How reproducible:

Every Time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

I tried Building the variouse cpufreq options as modules against the 
kernel-2.6.19-1.2911.6.5.fc6.src.rpm
The modules build but all give a "no such device" error when I try to load them
with modprobe.

find /sys/devices/system/cpu/cpu* -print
/sys/devices/system/cpu/cpu0
/sys/devices/system/cpu/cpu0/topology
/sys/devices/system/cpu/cpu0/topology/core_siblings
/sys/devices/system/cpu/cpu0/topology/thread_siblings
/sys/devices/system/cpu/cpu0/topology/core_id
/sys/devices/system/cpu/cpu0/topology/physical_package_id
/sys/devices/system/cpu/cpu0/cache
/sys/devices/system/cpu/cpu0/cache/index2
/sys/devices/system/cpu/cpu0/cache/index2/shared_cpu_map
/sys/devices/system/cpu/cpu0/cache/index2/size
/sys/devices/system/cpu/cpu0/cache/index2/number_of_sets
/sys/devices/system/cpu/cpu0/cache/index2/ways_of_associativity
/sys/devices/system/cpu/cpu0/cache/index2/physical_line_partition
/sys/devices/system/cpu/cpu0/cache/index2/coherency_line_size
/sys/devices/system/cpu/cpu0/cache/index2/level
/sys/devices/system/cpu/cpu0/cache/index2/type
/sys/devices/system/cpu/cpu0/cache/index1
/sys/devices/system/cpu/cpu0/cache/index1/shared_cpu_map
/sys/devices/system/cpu/cpu0/cache/index1/size
/sys/devices/system/cpu/cpu0/cache/index1/number_of_sets
/sys/devices/system/cpu/cpu0/cache/index1/ways_of_associativity
/sys/devices/system/cpu/cpu0/cache/index1/physical_line_partition
/sys/devices/system/cpu/cpu0/cache/index1/coherency_line_size
/sys/devices/system/cpu/cpu0/cache/index1/level
/sys/devices/system/cpu/cpu0/cache/index1/type
/sys/devices/system/cpu/cpu0/cache/index0
/sys/devices/system/cpu/cpu0/cache/index0/shared_cpu_map
/sys/devices/system/cpu/cpu0/cache/index0/size
/sys/devices/system/cpu/cpu0/cache/index0/number_of_sets
/sys/devices/system/cpu/cpu0/cache/index0/ways_of_associativity
/sys/devices/system/cpu/cpu0/cache/index0/physical_line_partition
/sys/devices/system/cpu/cpu0/cache/index0/coherency_line_size
/sys/devices/system/cpu/cpu0/cache/index0/level
/sys/devices/system/cpu/cpu0/cache/index0/type
/sys/devices/system/cpu/cpu0/thermal_throttle
/sys/devices/system/cpu/cpu0/thermal_throttle/count
/sys/devices/system/cpu/cpu0/crash_notes
/sys/devices/system/cpu/cpu1
/sys/devices/system/cpu/cpu1/topology
/sys/devices/system/cpu/cpu1/topology/core_siblings
/sys/devices/system/cpu/cpu1/topology/thread_siblings
/sys/devices/system/cpu/cpu1/topology/core_id
/sys/devices/system/cpu/cpu1/topology/physical_package_id
/sys/devices/system/cpu/cpu1/cache
/sys/devices/system/cpu/cpu1/cache/index2
/sys/devices/system/cpu/cpu1/cache/index2/shared_cpu_map
/sys/devices/system/cpu/cpu1/cache/index2/size
/sys/devices/system/cpu/cpu1/cache/index2/number_of_sets
/sys/devices/system/cpu/cpu1/cache/index2/ways_of_associativity
/sys/devices/system/cpu/cpu1/cache/index2/physical_line_partition
/sys/devices/system/cpu/cpu1/cache/index2/coherency_line_size
/sys/devices/system/cpu/cpu1/cache/index2/level
/sys/devices/system/cpu/cpu1/cache/index2/type
/sys/devices/system/cpu/cpu1/cache/index1
/sys/devices/system/cpu/cpu1/cache/index1/shared_cpu_map
/sys/devices/system/cpu/cpu1/cache/index1/size
/sys/devices/system/cpu/cpu1/cache/index1/number_of_sets
/sys/devices/system/cpu/cpu1/cache/index1/ways_of_associativity
/sys/devices/system/cpu/cpu1/cache/index1/physical_line_partition
/sys/devices/system/cpu/cpu1/cache/index1/coherency_line_size
/sys/devices/system/cpu/cpu1/cache/index1/level
/sys/devices/system/cpu/cpu1/cache/index1/type
/sys/devices/system/cpu/cpu1/cache/index0
/sys/devices/system/cpu/cpu1/cache/index0/shared_cpu_map
/sys/devices/system/cpu/cpu1/cache/index0/size
/sys/devices/system/cpu/cpu1/cache/index0/number_of_sets
/sys/devices/system/cpu/cpu1/cache/index0/ways_of_associativity
/sys/devices/system/cpu/cpu1/cache/index0/physical_line_partition
/sys/devices/system/cpu/cpu1/cache/index0/coherency_line_size
/sys/devices/system/cpu/cpu1/cache/index0/level
/sys/devices/system/cpu/cpu1/cache/index0/type
/sys/devices/system/cpu/cpu1/thermal_throttle
/sys/devices/system/cpu/cpu1/thermal_throttle/count
/sys/devices/system/cpu/cpu1/crash_notes
/sys/devices/system/cpu/cpu1/online

Comment 1 Chuck Ebbert 2007-03-14 15:58:36 UTC
You probably need to enable Speedstep in your BIOS setup.
I have:

model name      : Intel(R) Xeon(R) CPU            5120  @ 1.86GHz

$ pwd ; ls | sort
/sys/devices/system/cpu/cpu0/cpufreq
affected_cpus
cpuinfo_cur_freq
cpuinfo_max_freq
cpuinfo_min_freq
ondemand
scaling_available_frequencies
scaling_available_governors
scaling_cur_freq
scaling_driver
scaling_governor
scaling_max_freq
scaling_min_freq


Comment 2 J. David Rye 2007-03-14 18:31:26 UTC
(In reply to comment #1)
> You probably need to enable Speedstep in your BIOS setup.
> I have:
> 
> model name      : Intel(R) Xeon(R) CPU            5120  @ 1.86GHz
> 
> $ pwd ; ls | sort
> /sys/devices/system/cpu/cpu0/cpufreq
> affected_cpus
> cpuinfo_cur_freq
> cpuinfo_max_freq
> cpuinfo_min_freq
> ondemand
> scaling_available_frequencies
> scaling_available_governors
> scaling_cur_freq
> scaling_driver
> scaling_governor
> scaling_max_freq
> scaling_min_freq
> 

Searching the documentation CD provided by HP with the computer, yealds no
references to Speedstep :-(

If you press F9 during boot you get the HP ROM-Based Setup Utility.
Selecting the first option :-
System Options
and then the last :-
Power Regulator for ProLiant

Yealds 4 options :-
HP Dynamic Power Saving Mode
HP Static Low Power Mode
HP Static High Performance Mode
OS Controled Mode  { the Manual shows the 4th option as "disabled"}

I have tried all 4 settings.
In all cases Power consumption is between 205 and 209 W, independent of CPU
load. With none of the settings do I get the 
/sys/devices/system/cpu/cpu0/cpufreq
directory.


Comment 3 Jarod Wilson 2007-03-16 13:27:36 UTC
I'd suggest seeing if there's a bios update for that machine. A number of other
HP systems recently got bios updates that fixed non-functional cpu scaling
support. Of course, those were primarily laptops with Core 1/2 Duo processors,
but one can hope...

Comment 4 Jon Stanley 2008-01-08 01:47:50 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 5 Jon Stanley 2008-02-08 04:25:23 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.